/******************************************************************************/
/* Project:   blind control set                                               */
/* Author:    BBC-Hoerer                                                      */
/*            You may use or modify this code for your purpose.               */
/*            BBC-Hoerer is not responsible for consequences using this code. */
/******************************************************************************/

#define CPU_ATMEGA16
//#define CPU_ATMEGA168

/************************************************************************/
/* define features                                                      */
/************************************************************************/

/* set the eeprom function bits of RV3029 on startup - only needed once */
//#define RV3029_SET_EEPROM


/* include code for switching on / off an 433MHz outlet with code 00000 D in 2s tact -> distance test */
//#define RC_TEST_TX 0x0001 /* syscode 1..4  (all ZERO)   syscode 5 (zero) and devcode B (binary coded)  */

#define MOTOR_PORT_IO
//#define MOTOR_PORT_EXPANDER

/* define exactly one way how the relays are conected */
//#define MOTOR_MODE_DIR_PWR        /* a power relay and a direction relay are in series connection */
//#define MOTOR_MODE_UP_DOWN        /* a relay for updriving and a relay for downdriving are in parallel connection */
#define MOTOR_MODE_UP_DOWN_JL_SETUP /* MOTOR_MODE_UP_DOWN and additional implementation of the Jarolift programming mode for the electronic limit stop */

/* RL_COUNT_FULL can range from 8..16 --> rooms up from 8 till RL_COUNT_FULL are basically serviced by remote control from the central control set, 8 means that no extenders are needed */
/* adaption in file menu.c might be needed */
#define RL_COUNT_FULL          11  /* the extension supports three additional windows those are not wired to the control set but connected via radio control */

#define ROOM_1_NAME       "K\365che 2      "    /*Kueche*/
#define ROOM_2_NAME       "Wohnzimmer 1 "
#define ROOM_3_NAME       "Wohnzimmer 2 "
#define ROOM_4_NAME       "E\342zimmer     "    /*Esszimmer*/
#define ROOM_5_NAME       "Bad          "
#define ROOM_6_NAME       "G\341stezimmer  "    /*Gaestezimmer*/
#define ROOM_7_NAME       "Schlafzimmer "
#define ROOM_8_NAME       "Arbeitszimmer"
#define ROOM_9_NAME       "G\341ste WC     "
#define ROOM_10_NAME      "Flur         "
#define ROOM_11_NAME      "K\365che 1      "


/************************************************************************/
/* copyright: BBC-Hoerer 2016-2018                                      */
/************************************************************************/
